diff mbox series

[2/2] package/webkitgtk: support game controllers via libmanette

Message ID 20220601210939.2350383-2-aperez@igalia.com
State New
Headers show
Series [1/2] package: Add libmanette | expand

Commit Message

Adrian Perez de Castro June 1, 2022, 9:09 p.m. UTC
Add support for the Gamepad API in webkitgtk, depending on
libmanette, which is used for implementing access to game
controllers.

Signed-off-by: Adrian Perez de Castro <aperez@igalia.com>
---
 package/webkitgtk/webkitgtk.mk | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

Comments

Romain Naour July 27, 2022, 8:31 a.m. UTC | #1
Hello Adrian,

Le 01/06/2022 à 23:09, Adrian Perez de Castro a écrit :
> Add support for the Gamepad API in webkitgtk, depending on
> libmanette, which is used for implementing access to game
> controllers.
> 
> Signed-off-by: Adrian Perez de Castro <aperez@igalia.com>

Reviewed-by: Romain Naour <romain.naour@smile.fr>

Best regards,
Romain

> ---
>  package/webkitgtk/webkitgtk.mk | 8 +++++++-
>  1 file changed, 7 insertions(+), 1 deletion(-)
> 
> diff --git a/package/webkitgtk/webkitgtk.mk b/package/webkitgtk/webkitgtk.mk
> index 39b16a90e7..07fc98c5f6 100644
> --- a/package/webkitgtk/webkitgtk.mk
> +++ b/package/webkitgtk/webkitgtk.mk
> @@ -18,7 +18,6 @@ WEBKITGTK_DEPENDENCIES = host-ruby host-python3 host-gperf \
>  	libtasn1 libxml2 libxslt openjpeg sqlite webp woff2
>  WEBKITGTK_CONF_OPTS = \
>  	-DENABLE_API_TESTS=OFF \
> -	-DENABLE_GAMEPAD=OFF \
>  	-DENABLE_GEOLOCATION=OFF \
>  	-DENABLE_GTKDOC=OFF \
>  	-DENABLE_MINIBROWSER=ON \
> @@ -71,6 +70,13 @@ else
>  WEBKITGTK_CONF_OPTS += -DENABLE_INTROSPECTION=OFF
>  endif
>  
> +ifeq ($(BR2_PACKAGE_LIBMANETTE),y)
> +WEBKITGTK_CONF_OPTS += -DENABLE_GAMEPAD=ON
> +WEBKITGTK_DEPENDENCIES += libmanette
> +else
> +WEBKITGTK_CONF_OPTS += -DENABLE_GAMEPAD=OFF
> +endif
> +
>  # Only one target platform can be built, assume X11 > Wayland
>  
>  # GTK3-X11 target gives OpenGL from newer libgtk3 versions
diff mbox series

Patch

diff --git a/package/webkitgtk/webkitgtk.mk b/package/webkitgtk/webkitgtk.mk
index 39b16a90e7..07fc98c5f6 100644
--- a/package/webkitgtk/webkitgtk.mk
+++ b/package/webkitgtk/webkitgtk.mk
@@ -18,7 +18,6 @@  WEBKITGTK_DEPENDENCIES = host-ruby host-python3 host-gperf \
 	libtasn1 libxml2 libxslt openjpeg sqlite webp woff2
 WEBKITGTK_CONF_OPTS = \
 	-DENABLE_API_TESTS=OFF \
-	-DENABLE_GAMEPAD=OFF \
 	-DENABLE_GEOLOCATION=OFF \
 	-DENABLE_GTKDOC=OFF \
 	-DENABLE_MINIBROWSER=ON \
@@ -71,6 +70,13 @@  else
 WEBKITGTK_CONF_OPTS += -DENABLE_INTROSPECTION=OFF
 endif
 
+ifeq ($(BR2_PACKAGE_LIBMANETTE),y)
+WEBKITGTK_CONF_OPTS += -DENABLE_GAMEPAD=ON
+WEBKITGTK_DEPENDENCIES += libmanette
+else
+WEBKITGTK_CONF_OPTS += -DENABLE_GAMEPAD=OFF
+endif
+
 # Only one target platform can be built, assume X11 > Wayland
 
 # GTK3-X11 target gives OpenGL from newer libgtk3 versions